﻿using Wisej.Core;
using Wisej.Web;

namespace CallingFromJavascriptExample
{
    public partial class Window1 : Form
	{
		public Window1()
		{
			InitializeComponent();
		}

        [WebMethod]
		public void HelloWorldFromInit()
        {
			MessageBox.Show("C# method called from InitScript javascript.");
        }

        [WebMethod]
        public void HelloWorldFromPageSource()
        {
            MessageBox.Show("C# method called from PageSource javascript.");
        }

        [WebMethod]
        public void HelloWorldFromHTMLSource()
        {
            MessageBox.Show("C# method called from HTMLPage javascript.");
        }

        private async void button1_Click(object sender, System.EventArgs e)
        {
            // this finds a javascript function that is set up in the aspNetPanel1.InitScript attribute
            await aspNetPanel1.CallAsync("this.getAlert");
        }

        private async void button2_Click(object sender, System.EventArgs e)
        {
            // this doesn't find a javascript function in the PageSource file
            await aspNetPanel1.CallAsync("this.callWisej");
        }
    }
}
